image: rustlang/rust:nightly
stages:
  - deploy

# Builds out the intended zip package
#package:
#  stage: build
#  script:
#    - rustup default nightly
#    - mkdir -p build
#    - cp api/templates/ api/static/ build -r 
#    - cargo build --release
#    - cp target/release/api build/server
#    - cp ./scripts/generate-thumbnail.sh build/
#    - cp readme.md build/
#    - sh ./scripts/default-rocket-toml.sh
#  artifacts:
#    paths:
#      - build/



pages:
  image: shockrah/website:latest
  stage: deploy
  before_script:
    - git submodule init
    - git submodule update
  script:
    - cd gitpage
    - hugo
    - mv public/ ..
    - ls ../public -R
  artifacts:
    paths:
      - public/
